USERMOD(8)

NAME
usermod - verändert ein Benutzerkonto

ÜBERSICHT

usermod [Optionen] ANMELDENAME

BESCHREIBUNG

Der Befehl usermod verändert die Kontodateien des Systems, so dass sie die Änderungen enthalten, die in der Befehlszeile eingegeben wurden.

OPTIONEN

Die Optionen, die vom Befehl usermod unterstützt werden, sind:

-a, --append
    Fügt den Benutzer weiteren Gruppen hinzu. Kann nur zusammen mit der Option -G verwendet werden.

-c, --commentKOMMENTAR
    Der neue Wert des Kommentarfelds in der Passwortdatei des Benutzers. Er wird normalerweise mit dem Werkzeug chfn(1) verändert.

-d, --homeHOME_VERZ
    das neue Home-Verzeichnis des Benutzers

    Wenn die Option -m verwendet wurde, wird der Inhalt des aktuellen Home-Verzeichnisses in das neue Home-Verzeichnis verschoben. Falls dieses nicht existiert, wird es angelegt.

-e, --expiredateVERFALLS_DATUM
    Das Datum, an welchem das Benutzerkonto deaktiviert wird. Das Datum muss im Format JJJJ-MM-TT angegeben werden.

    Wenn das Argument VERFALLS_DATUM leer bleibt, wird der Verfall des Kontos deaktiviert.

    Diese Option benötigt die Datei /etc/shadow. Falls die Datei /etc/shadow leer sein sollte, wird ein Eintrag erstellt.

-f, --inactiveINAKTIV
    Die Anzahl von Tagen, nach denen ein Passwort abgelaufen ist, bis das Konto deaktiviert wird.

    Ein Wert von 0 deaktiviert das Konto, sobald das Passwort abläuft. Ein Wert von -1 schaltet diese Funktion ab.

    Diese Option benötigt die Datei /etc/shadow. Falls die Datei /etc/shadow leer sein sollte, wird ein Eintrag erstellt.

-g, --gidGRUPPE
    Der Name oder die Zahl der anfänglichen Anmeldegruppe eines neuen Benutzers. Der Gruppenname muss existieren.

    Jede Datei im Home-Verzeichnis des Benutzers, die der alten Hauptgruppe des Benutzers gehörte, wird dieser neuen Gruppe gehören.

    Die Gruppenzugehörigkeit von Dateien außerhalb des Home-Verzeichnisses des Benutzers muss per Hand angepasst werden.

-G, --groupsGRUPPE_1[,GRUPPE_2, ...[,GRUPPE_N]]]
    Eine Liste zusätzlicher Gruppen, denen der Benutzer ebenfalls angehört. Die Gruppen sind durch Kommata ohne Leerzeichen von einander zu trennen. Die Gruppen unterliegen denselben Beschränkungen wie die Gruppe, die mit der Option -g bestimmt wurde.

    Wenn der Benutzer aktuell Mitglied einer Gruppe ist, die nicht angegeben ist, wird er aus dieser Gruppe entfernt. Dieses Verhalten kann mit der Option -a abgeschaltet werden. Damit wird der Benutzer nur den angegebenen Gruppen hinzugefügt, ohne aus den übrigen gelöscht zu werden.

-l, --loginNEUER_ANMELDENAME
    Der Benutzername wird von ANMELDENAME zu NEUER_ANMELDENAME verändert. Andere Veränderungen werden nicht vorgenommen. Daher sollte wahrscheinlich der Name des Home-Verzeichnisses des Benutzers per Hand geändert werden, um dem neuen Anmeldenamen Rechnung zu tragen.

-L, --lock
    Sperrt das Passwort eines Benutzers. Dadurch wird ein »!« vor das verschlüsselte Passwort gesetzt, wodurch im Ergebnis das Passwort abgeschaltet wird. Sie können diese Option nicht mit -p oder -U verwenden.

    Hinweis: Wenn Sie das Konto sperren wollen (und nicht nur den Zugang mit einem Passwort), müssen Sie auch das VERFALLSDATUM auf 1 setzen.

-m, --move-home
    verschiebt den Inhalt des Home-Verzeichnisses eines Benutzers zu dem neuen Ziel

    Diese Option ist nur in Verbindung mit der Option -d (oder --home) zulässig.

    usermod versucht, den Eigentümer der Dateien anzupassen und die Rechte, ACL und erweiterten Attribute zu übernehmen, aber Anpassungen per Hand können dennoch notwendig sein.

-o, --non-unique
    Wenn es mit der Option -u verwendet wird, kann mit dieser Option der Wert der Benutzer-ID auf einen nicht eindeutigen Wert gesetzt werden.

-p, --passwordPASSWORT
    das verschlüsselte Passwort, wie es von crypt(3) zurückgegeben wird

    Hinweis: Diese Option ist nicht empfehlenswert, weil das Passwort (auch wenn es verschlüsselt ist) für Benutzer sichtbar ist, die sich den Prozess anzeigen lassen.

    Sie sollten sicherstellen, dass das Passwort den Passwortrichtlinien des Systems entspricht.

-R, --rootCHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

-s, --shellSHELL
    Der Name der neuen Anmelde-Shell des Benutzers. Falls dieses Feld leer gelassen wird, verwendet das System die Standard-Anmelde-Shell.

-u, --uidUID
    der neue numerische Wert der UID des Benutzers

    Dieser Wert muss eindeutig sein, sofern nicht die Option -o verwendet wird. Der Wert darf nicht negativ sein.

    Für die Mailbox des Benutzers und alle Dateien, die ihm gehören und sich in seinem Home-Verzeichnis befinden, wird die ID des Eigentümers automatisch angepasst.

    Der Eigentümer von Dateien außerhalb des Home-Verzeichnisses des Benutzers muss per Hand angepasst werden.

    Die Werte von UID_MIN, UID_MAX, SYS_UID_MIN und SYS_UID_MAX aus /etc/login.defs werden nicht geprüft.

-U, --unlock
    Gibt das Passwort eines Benutzers frei. Dies entfernt das »!« vor dem verschlüsselten Passwort. Sie können diese Option nicht mit -p oder -U verwenden.

    Hinweis: Falls Sie das Benutzerkonto freigeben wollen (und nicht nur den Zugang mit einem Passwort), sollten Sie auch das VERFALLSDATUM bearbeiten (zum Beispiel auf 99999 oder den Wert von EXPIRE aus /etc/default/useradd setzen).

-Z, --selinux-userSE-BENUTZER
    der neue SELinux-Benutzer für den Anmeldenamen des Benutzers

    Wenn SEBENUTZER leer ist, wird die Zuordnung von SELinux-Benutzern (sofern vorhanden) aus den Anmeldeinformationen des Benutzers entfernt

WARNUNGEN

Wenn Sie mit diesem Befehl die numerische UID, den Namen oder das Home-Verzeichnis eines Benutzers verändern wollen, müssen Sie sicherstellen, dass dieser Benutzer keine Prozesse laufen lässt. Bei Linux stellt dies usermod sicher, auf anderen Architekturen überprüft es nur, ob der Benutzer laut utmp eingeloggt ist.

Sie müssen den Eigentümer von crontab-Dateien oder at-Aufträgen per Hand ändern.

Sie müssen alle Änderung in Bezug auf NIS auf dem NIS-Server vornehmen.

KONFIGURATION

Die folgenden Konfigurationsvariablen in /etc/login.defs beeinflussen das Verhalten dieses Werkzeugs:

MAIL_DIR (Zeichenkette)
    Das Verzeichnis des Mail-Spools. Diese Angabe wird benötigt, um die Mailbox zu bearbeiten, nachdem das entsprechende Benutzerkonto verändert oder gelöscht wurde. Falls nicht angegeben, wird ein Standard verwendet, der beim Kompilieren festgelegt wurde.

MAIL_FILE (Zeichenkette)
    Legt den Ort der Mail-Spool-Dateien eines Benutzers relativ zu seinem Home-Verzeichnis fest.

Die Variablen MAIL_DIR und MAIL_FILE werden von useradd, usermod und userdel verwendet, um den Mail-Spool eines Benutzers zu erstellen, zu verschieben oder zu löschen.

Falls MAIL_CHECK_ENAB auf yes gesetzt ist, werden sie auch verwendet, um die Umgebungsvariable MAIL festzulegen.

MAX_MEMBERS_PER_GROUP (Zahl)
    Maximale Anzahl von Mitgliedern je Gruppeneintrag. Wenn das Maximum erreicht wird, wird ein weiterer Eintrag in /etc/group (mit dem gleichen Namen, dem gleichen Passwort und der gleichen GID) erstellt.

    Der Standardwert ist 0, was zur Folge hat, dass die Anzahl der Mitglieder einer Gruppe nicht begrenzt ist.

    Diese Fähigkeit (der aufgeteilten Gruppe) ermöglicht es, die Zeilenlänge in der Gruppendatei zu begrenzen. Damit kann sichergestellt werden, dass die Zeilen für NIS-Gruppen nicht länger als 1024 Zeichen sind.

    Falls Sie eine solche Begrenzung benötigen, können Sie 25 verwenden.

    Hinweis: Aufgeteilte Gruppen werden möglicherweise nicht von allen Werkzeugen unterstützt, selbst nicht aus der Shadow-Werkzeugsammlung. Sie sollten diese Variable nur setzen, falls Sie zwingend darauf angewiesen sind.

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    sichere Informationen zu den Gruppenkonten

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    verschlüsselte Informationen zu den Benutzerkonten

SIEHE AUCH

chfn(1), chsh(1), passwd(1), crypt(3), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8).